Un bug que muchos usuarios de esta popular distro se van a encontrar si se instalan KDE como escritorio es la imposibilidad de gestionar adecuadamente la instalación, eliminación o actualización de paquetes y este problema se lo van a encontrar con cualquier aplicación con la que traten de gestionar dichos paquetes: Muon, Apper, Synaptic, Qapt, Kpackagekit, etc.

 

 

Pasos para reproducir el problema.

 

  1. Instalar Ubuntu.

  2. Actualizar a Kubuntu con KDE 4.7 como escritorio mediante Backports

  3. Tratar de actualizar o instalar cualquier paquete con cualquiera de las aplicaciones mencionadas.

  4. Al tratar de instalarlas aparecerá este mensaje de error

 

No se ha autenticado correctamente.
Por favor, compruebe las preferencias de contraseñas y cuentas.
Detalles: Failed to obtain authentication.

Causa

 La instalación de kubuntu-desktop no tiene marcada como dependencia el paquete polkit-kde-1, en cambio, este paquete es requerido para permitir ejecutar aplicaciones que requieran realizar operaciones con elevación de privilegios, es decir, con permisos de root.

 

Solución.

 La solución, obviamente, es instalar el paquete que nos falta, para ello abrimos una consola y tecleamos, esta orden.

 

sudo apt-get install polkit-kde-1

 

Solo nos queda reiniciar el entorno gráfico para que los cambios surtan efectos.